Bug 676762 - Schedules in a group context appear duplicitous, ambiguous
Schedules in a group context appear duplicitous, ambiguous
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: Ian Springer
Corey Welton
:
Depends On:
Blocks: rhq4 gwt-scheduling
  Show dependency treegraph
 
Reported: 2011-02-10 22:48 EST by Corey Welton
Modified: 2013-08-05 20:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (39.19 KB, image/png)
2011-02-10 22:50 EST, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2011-02-10 22:48:00 EST
Description of problem:
In the a group context, there might be multiple, similar monitoring schedules for resources across a group. As they are 'flattened', it is difficult, if not impossible, to determine which schedule line items refers to which resource in a group.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install JON and agent on a linux system.  Inventory this system.
2.  Add this resource to a compatible, recursive group called "Linux"
3.  Navigate to $group > Monitoring > Schedules
  
Actual results:
Many apparent duplicate rows.  

Expected results:

Some way to better determine what parent resource this schedule line item belongs to?  Maybe in a tooltip?

Additional info:
See forthcoming screenshot
Comment 1 Corey Welton 2011-02-10 22:50:29 EST
Created attachment 478175 [details]
screenshot
Comment 2 Ian Springer 2011-02-15 10:50:06 EST
The issue here is that schedules for all recursive/implicit members are being displayed. We should only show the schedules for the top-level/explicit members.
Comment 3 Ian Springer 2011-02-15 16:13:33 EST
Fixed in master via commit 66626bd.
Comment 4 Corey Welton 2011-03-01 09:34:26 EST
Verified.
Comment 5 Corey Welton 2011-05-23 21:13:35 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 6 Corey Welton 2011-05-23 21:13:35 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 7 Corey Welton 2011-05-23 21:13:38 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.